package com.mortals.xhx.module.site.model;

import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.site.model.vo.SiteModelVo;
/**
* 站点模块实体对象
*
* @author zxfei
* @date 2022-01-10
*/

public class SiteModelEntity extends SiteModelVo {
    private static final long serialVersionUID = 1L;

    /**
    * 站点ID
    */
    private Long siteId;
    /**
    * 站点名称
    */
    private String siteName;
    /**
    * 系统模块ID
    */
    private Long modelId;
    /**
    * 系统模块名称
    */
    private String modelName;



    public SiteModelEntity(){}
    /**
    * 获取 站点ID
    * @return Long
    */
    public Long getSiteId(){
        return siteId;
    }
    /**
    * 设置 站点ID
    * @param siteId
    */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }
    /**
    * 获取 站点名称
    * @return String
    */
    public String getSiteName(){
        return siteName;
    }
    /**
    * 设置 站点名称
    * @param siteName
    */
    public void setSiteName(String siteName){
        this.siteName = siteName;
    }
    /**
    * 获取 系统模块ID
    * @return Long
    */
    public Long getModelId(){
        return modelId;
    }
    /**
    * 设置 系统模块ID
    * @param modelId
    */
    public void setModelId(Long modelId){
        this.modelId = modelId;
    }
    /**
    * 获取 系统模块名称
    * @return String
    */
    public String getModelName(){
        return modelName;
    }
    /**
    * 设置 系统模块名称
    * @param modelName
    */
    public void setModelName(String modelName){
        this.modelName = modelName;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof SiteModelEntity) {
            SiteModelEntity tmp = (SiteModelEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",siteId:").append(getSiteId());
        sb.append(",siteName:").append(getSiteName());
        sb.append(",modelId:").append(getModelId());
        sb.append(",modelName:").append(getModelName());
        return sb.toString();
    }

    public void initAttrValue(){

            this.siteId = null;

            this.siteName = null;

            this.modelId = null;

            this.modelName = null;
    }
}